Bio::MAGETAB::Material(3)

NAME
Bio::MAGETAB::Material - Abstract material class

SYNOPSIS
 use Bio::MAGETAB::Material;

DESCRIPTION
This class is an abstract class from which all MAGE-TAB Material classes (Source, Sample, Extract, LabeledExtract) are derived. It cannot be instantiated directly. See the Node class for superclass methods.

ATTRIBUTES

name (required)
    The name of the material (data type: String).

materialType (optional)
    The type of the material (e.g. 'whole_organism', 'organism_part', 'RNA' etc.), usually from a suitable ontology (data type: Bio::MAGETAB::ControlledTerm).

description (optional)
    A free-text description of the material. In general the use of this attribute is discouraged due to the difficulty of computationally parsing natural languages (data type: String).

characteristics (optional)
    A list of characteristics of the material. These may describe any aspect of the material, and should ideally be taken from an appropriate ontology (data type: Bio::MAGETAB::ControlledTerm).

measurements (optional)
    A list of measurements of the material. These may describe any measurable property of the material. Units are handled by the Measurement class (data type: Bio::MAGETAB::Measurement).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::Node

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).